Last Comment Bug 869828 - [meta] Implement CSS filters
: [meta] Implement CSS filters
Status: RESOLVED FIXED
: dev-doc-complete, meta
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: unspecified
: All All
: -- normal with 18 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Milan Sreckovic [:milan]
Mentors:
: 660196 (view as bug list)
Depends on: 869829 878883 895182 896050 897392 898175 898361 948265 1057180 1058753 1058756 1058765 1058776 1058779 1058783 1058794 1058798 1058801 1058807 1058809
Blocks: 869496 css3test 904603
  Show dependency treegraph
 
Reported: 2013-05-08 00:50 PDT by Andreas Gal :gal
Modified: 2014-11-20 05:56 PST (History)
40 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Andreas Gal :gal 2013-05-08 00:50:34 PDT
As discussed on dev-platform, the rough plan is to add CSS filter support to Moz2D. We will provide a (SIMD-accelerated) CPU path, and backends can overwrite that with backend-specific fast paths. The layers system will get a separate GL-based path for the same effects. This is a meta bug to track the work.
Comment 1 Sebastian Zartner [:sebo] 2013-05-09 15:45:24 PDT
I assume you mean the CSS filters as defined in the W3C Filter Effects[1] draft like "filter: blur(5px);", right?

Sebastian

[1] https://dvcs.w3.org/hg/FXTF/raw-file/tip/filters/index.html#FilterProperty
Comment 2 Robert O'Callahan (:roc) (email my personal email if necessary) 2013-05-12 21:01:27 PDT
Both those and SVG filters, really.
Comment 3 Joshua Smith [:joshua-s] 2013-07-09 14:31:25 PDT
Why does that always happen :( ^
Comment 4 alfonso.cama 2013-07-09 14:34:31 PDT Comment hidden (advocacy)
Comment 5 javismiles 2013-11-23 13:12:29 PST
Is there any timeline/forecast for adding these css filters? Chrome/Safari/Webkit supports them since ages ago and they are much needed by so many developers around the world
Comment 6 Robert Longson 2013-11-23 13:13:30 PST
Several people are actively working on this. Did you wish to join in and help them?
Comment 7 javismiles 2013-11-25 13:16:18 PST
i wish i had the technical skills to help as i would for sure do it, i appreciate very much the generosity of everybody working on this, i will for sure be looking to help in testing this when it comes out, best wishes
Comment 8 Tim Nguyen :ntim (use needinfo?) 2014-08-25 22:24:34 PDT
*** Bug 660196 has been marked as a duplicate of this bug. ***
Comment 9 Jet Villegas (:jet) 2014-11-19 14:28:43 PST
Now that bug 1057180 is fixed, marking the META bug fixed.

Note You need to log in before you can comment on or make changes to this bug.